Bug 1555329 - FFU: os-collect-config is stopped on the overcloud nodes after deploy_steps_playbook.yaml
Summary: FFU: os-collect-config is stopped on the overcloud nodes after deploy_steps_p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Lukas Bezdicka
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-14 13:41 UTC by Marius Cornea
Modified: 2018-06-27 13:37 UTC (History)
10 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.0-0.20180326192239.e59fd2c.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:36:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 553826 None stable/queens: MERGED tripleo-heat-templates: FFU: Introduce post FFU steps and use them for qeens switch (I649afc6fa384ae21edc5bc917f8bb58635... 2018-03-22 17:01:07 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:37:23 UTC

Description Marius Cornea 2018-03-14 13:41:02 UTC
Description of problem:

FFU: os-collect-config is stopped on the overcloud nodes after deploy_steps_playbook.yaml which breaks running ceph-ansible.

Comment 4 Marios Andreou 2018-03-19 10:42:09 UTC
took this one for triage last week - first pass, can't see something that is explicitly stopping os-collect-config, except in FFU stopping @ [1] and starting at [2]

any idea what is stopping it mcornea and whether it was indeed started OK after the ffu playbook? 

Alternatively the controller logs (journal?) so we can try and work out what happened

[1] https://github.com/openstack/tripleo-heat-templates/blob/97664cb9fe8d930c01cbbf6026d0dcefce378599/common/deploy-steps.j2#L592

[2] https://github.com/openstack/tripleo-heat-templates/blob/97664cb9fe8d930c01cbbf6026d0dcefce378599/common/deploy-steps.j2#L629

Comment 5 Lukas Bezdicka 2018-03-19 13:33:15 UTC
This is done in ffu role steps and there is already fix, still causing issues though. Investigating.

Comment 8 Lukas Bezdicka 2018-03-19 15:05:46 UTC
Resolved as part of:
https://review.openstack.org/#/q/I649afc6fa384ae21edc5bc917f8bb586350e5d47

Comment 13 errata-xmlrpc 2018-06-27 13:36:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.